Bug 993339 - Window manager warning
Window manager warning
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mohamed El Morabity
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-05 16:14 EDT by Stu
Modified: 2015-02-17 11:35 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:35:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stu 2013-08-05 16:14:16 EDT
Description of problem:

/var/log/messages has a number of lines reading:

/usr/bin/dbus-launch[1062]: Window manager warning: Got a request to focus the no_focus_window with a timestamp of 0.  This shouldn't happen!

followed by

/etc/gdm/Xsession[2885]: Window manager warning: Got a request to focus the no_focus_window with a timestamp of 0.  This shouldn't happen!

also, there are a number of other Xsession entries that are generated:

an example includes: 

/etc/gdm/Xsession[2877]: Window manager warning: Got a request to focus 0x220000b (Hustle S5 ) with a timestamp of 0.  This shouldn't happen!

which is generated when I was was watching a mp4 file.

other entries suggest that firefox may have also generated the same error (the errors listed a number of lines that included the titles on the tabs I had open.

Version-Release number of selected component (if applicable):



How reproducible:

Unknown, seems to be random.

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
same/similar error appears to be reported in bug 770184 - a user in that bug mentions he still sees the problem in fedora 19.
Comment 1 Mohamed El Morabity 2013-09-10 09:38:44 EDT
Could you describe how x-tile is involved in your problem?
Comment 2 Stu 2013-10-18 15:40:31 EDT
apologies, I must've selected the wrong component - I'll correct it now.

currently seeing output like:

Oct 18 18:51:55 localhost gnome-session[1334]: Window manager warning: Got a request to focus the no_focus_window with a timestamp of 0.  This shouldn't happen!

with 3.11.2-201.fc19.x86_64.
Comment 3 Fedora End Of Life 2015-01-09 14:18:30 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 11:35:52 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.